using AI.Platform.Core.Entity;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace ZhonTai.Admin.Contracts.Domain.VehicleTerminal.ElectronicAccount
{
    /// <summary>
    /// 电子账户表
    /// </summary>
    [SugarTable(null, "电子账户表")]
    public class ElectronicAccountEntity : EntityBaseLite
    {
        /// <summary>
        /// 账户ID
        /// </summary>
        public long Id { get; set; }

        /// <summary>
        /// 所属站点ID
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public long? SiteId { get; set; }

        /// <summary>
        /// 用户ID（关联用户表）
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public long? UserId { get; set; }

        /// <summary>
        /// 账户类型：1-个人账户，2-公司账户
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public byte? AccountType { get; set; }
        /// <summary>
        /// 账户编号
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string? AccountNo { get; set; }

        /// <summary>
        /// 账户余额
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public decimal? Balance { get; set; }

        /// <summary>
        /// 注册时间
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public DateTime? RegistrationTime { get; set; }

        /// <summary>
        /// 加密编码（用于余额防篡改）
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string IntegrityCode { get; set; }

        /// <summary>
        /// 开票余额
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public decimal? InvoiceBalance { get; set; }
        [SugarColumn(IsNullable = true)]
        public Guid Buid { get; set; }
        /// <summary>
        /// 账户余额最后一条记录id
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public long? ChangesId { get; set; }

    }
}
